/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 *
 * ProductBasicServiceRemote.java
 */

package org.eu.adapt.demonstrator.bs.retailer;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;
import org.eu.adapt.services.demo_1_1.retailer.ProductBasicService_wsdl.types.ProductState;

public interface ProductBasicServiceRemote extends EJBObject
{
    public String[] listProducts()
        throws RemoteException;

    public ProductState getProductState(String productName)
        throws RemoteException;

    public void addStock(String productName, int amount)
        throws RemoteException;

    public void removeStock(String productName, int amount)
        throws RemoteException;
}